[[search-request-fielddata-fields]]
=== Field Data Fields

Allows to return the field data representiation of a field for each hit, for
example:

[source,js]
--------------------------------------------------
{
    "query" : {
        ...
    },
    "fielddata_fields" : ["test1", "test2"]
}
--------------------------------------------------

Field data fields can work on fields that are not stored.

It's important to understand that using the `fielddata_fields` parameter will
cause the terms for that field to be loaded to memory (cached), which will
result in more memory consumption.
